#ifndef _ASTV_H_
#define _ASTV_H_

extern FILE *tv;

extern int debug_level;

extern char *def_cap_filename;
extern char *def_band;
extern char *def_size;
extern int  def_channel;

/* some support function prototypes */
void read_config();
void write_config();
void tv_command( char *cmd );
void tv_set_defaults();
void set_status( char *status_msg );
void select_ok(GtkWidget *widget, GdkEvent *event, gpointer data);
void select_cancel(GtkWidget *widget, GdkEvent *event, gpointer data);
void capture_ok(GtkWidget *widget, GdkEvent *event, gpointer data);
void capture_cancel(GtkWidget *widget, GdkEvent *event, gpointer data);

#endif /* #ifndef _ASTV_H_ */
